Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 474408 - [TRACKER] Packages using ffmpeg command directly and not working with avconv (media-video/libav)
Summary: [TRACKER] Packages using ffmpeg command directly and not working with avconv ...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: Tracker
Depends on: 443192 474346 474348 474350 474352 474366 474368 474370 474378 474388 474394 550498
Blocks:
  Show dependency tree
 
Reported: 2013-06-22 22:44 UTC by Nikoli
Modified: 2019-03-31 19:25 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikoli 2013-06-22 22:44:09 UTC
After a lot packages were migrated to virtual/ffmpeg /usr/bin/ffmpeg and support for ffmpeg syntax were removed from libav. Several packages are still using ffmpeg CLI directly and do not know about new avconv syntax. This problem is not detected by tinderbox, because it is not build time, but run time failure.

Now packages do not indicate anyhow if they are using libs, cli or both from ffmpeg or libav. So it is hard to find problematic packages. I checked most of suspicious packages, but could miss some.

media-video/libav-0.8.7 has /usr/bin/ffmpeg, but libav-9.* do not.